# OgreLog.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`

Go to the source code of this file.

## Classes

class | Ogre::LogListener
class | Ogre::Log
class | Ogre::Log::Stream
| Stream object which targets a log. More...
struct | Ogre::Log::Stream::Flush
| Simple type to indicate a flush of the stream to the log. More...

## Namespaces

namespace | Ogre

## Defines

#define | OGRE_LOG_THRESHOLD 4

## Enumerations

enum | Ogre::LoggingLevel { Ogre::LL_LOW = 1, Ogre::LL_NORMAL = 2, Ogre::LL_BOREME = 3 }
| The level of detail to which the log will go into. More...
enum | Ogre::LogMessageLevel { Ogre::LML_TRIVIAL = 1, Ogre::LML_NORMAL = 2, Ogre::LML_CRITICAL = 3 }
| The importance of a logged message. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09